Summary:	The Universal Plug and Play (UPnP) SDK for Linux
Summary(pl.UTF-8):	Pakiet programistyczny Universal Plug and Play (UPnP) dla Linuksa
Name:		libupnp
Version:	1.6.19
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2
# Source0-md5:	ee16e5d33a3ea7506f38d71facc057dd
Patch0:		%{name}-opt.patch
URL:		http://pupnp.sourceforge.net/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.8
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an
API and open source code for building control points, devices, and
bridges that are compliant with Version 1.0 of the Universal Plug and
Play Device Architecture Specification.

%description -l pl.UTF-8
Linuksowy pakiet programistyczny dla urządzeń UPnP (libupnp) dostarcza
programistom API i kod z otwartymi źródłami służące do tworzenia
punktów kontrolnych, urządzeń i mostków kompatybilnych z wersją 1.0
specyfikacji architektury urządzeń Universal Plug and Play.

%package devel
Summary:	Header files for libupnp
Summary(pl.UTF-8):	Pliki nagłówkowe libupnp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files for the Linux SDK for UPnP Devices
(libupnp).

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla linuksowego pakietu
programistycznego do urządzeń UPnP (libupnp).

%package static
Summary:	Static upnp libraries
Summary(pl.UTF-8):	Statyczne biblioteki upnp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static upnp libraries.

%description static -l pl.UTF-8
Statyczne biblioteki upnp.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libixml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libixml.so.2
%attr(755,root,root) %{_libdir}/libthreadutil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libthreadutil.so.6
%attr(755,root,root) %{_libdir}/libupnp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libupnp.so.6

%files devel
%defattr(644,root,root,755)
%doc docs/dist/*.pdf
%attr(755,root,root) %{_libdir}/libixml.so
%attr(755,root,root) %{_libdir}/libthreadutil.so
%attr(755,root,root) %{_libdir}/libupnp.so
%{_libdir}/libixml.la
%{_libdir}/libthreadutil.la
%{_libdir}/libupnp.la
%{_includedir}/upnp
%{_pkgconfigdir}/libupnp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libixml.a
%{_libdir}/libthreadutil.a
%{_libdir}/libupnp.a
%changelog
* Fri Aug 01 2014 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libupnp.git;a=log;h=master

* Sat Jul 12 2014 Jakub Bogusz <qboosh@pld-linux.org> f7057e6
- updated to 1.6.19 (1.6.18 fixed: CVE-2012-5958 CVE-2012-5959 CVE-2012-5960 CVE-2012-5961 CVE-2012-5962 CVE-2012-5963 CVE-2012-5964 CVE-2012-5965)

* Wed Jul 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> dd1fcf4
- updated to 1.6.17

* Sun Jan 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 4ad8cb8
- updated to 1.6.14

* Fri Mar 18 2011 Jakub Bogusz <qboosh@pld-linux.org> c3b9a65
- updated to 1.6.13

* Mon Mar 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 14514a7
- opt patch is back (updated)

* Sat Mar 05 2011 Caleb Maclennan <caleb@alerque.com> c3eda8b
- Up to 1.6.12
- Bumped so version
Removed patch applied upstream

* Tue Jan 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 0e535bf
- package THANKS

* Fri Dec 17 2010 Caleb Maclennan <caleb@alerque.com> 59b1227
- Up to 1.6.10
- Bump so number

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 3e4d06b
- Up to 1.6.9

* Fri Oct 22 2010 Caleb Maclennan <caleb@alerque.com> 6c14d18
- Up to 1.6.8

* Thu Jul 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 7fd6c5d
- updated to 1.6.6
- updated opt patch

* Thu Jul 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 671bebd
- updated for 1.6.6

* Fri Apr 04 2008 Szymon Siwek <sls@pld-linux.org> 4ac9e99
- removed m4.patch
- rel. 1

* Fri Apr 04 2008 Szymon Siwek <sls@pld-linux.org> e4bc8a8
- applied upstream

* Fri Apr 04 2008 Szymon Siwek <sls@pld-linux.org> 721fc04
- ver. 1.6.5
- URL update

* Fri Jan 04 2008 zbyniu <zbyniu@pld-linux.org> 6589e63
- up to 1.6.3

* Sat Dec 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 3fd5bc7
- updated to 1.6.2
- updated opt patch is back, added missing m4 patch

* Sat Dec 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 4ad2cdf
- updated for 1.6.2

* Sat Dec 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 8d8daa2
- ac bugfix (missing patch - I think it is what it was meant to be)

* Sun Dec 02 2007 aredridel <aredridel@pld-linux.org> 1386d47
- 1.6.1

